Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.extractor
Class ExcelExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hssf.extractor.ExcelExtractor

All Implemented Interfaces:
  ExcelExtractor

    public class ExcelExtractor

extends POIOLE2TextExtractor
implements ExcelExtractor

A text extractor for Excel files.

Returns the textual content of the file, suitable for indexing by something like Lucene, but not really intended for display to the user.

To turn an excel file into a CSV or similar, then see the XLS2CSVmra example

http://svn.apache.org/repos/asf/poi/trunk/src/examples/src/org/apache/poi/hssf/eventusermodel/examples/XLS2CSVmra.java

Constructor Summary
`ExcelExtractor(DirectoryNode dir)`
`ExcelExtractor(DirectoryNode dir, POIFSFileSystem fs)` Deprecated. Use `ExcelExtractor(DirectoryNode)` instead
`ExcelExtractor(HSSFWorkbook wb)`
`ExcelExtractor(POIFSFileSystem fs)`

Method Summary
`static java.lang.String` | `_extractHeaderFooter(HeaderFooter hf)`
`java.lang.String` | `getText()` Retrieves the text contents of the file
`static void` | `main(java.lang.String[] args)` Command line extractor.
`void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
`void` | `setIncludeBlankCells(boolean includeBlankCells)` Should blank cells be output? Default is to only output cells that are present in the file and are non-blank.
`void` | `setIncludeCellComments(boolean includeCellComments)` Should cell comments be included? Default is false
`void` | `setIncludeHeadersFooters(boolean includeHeadersFooters)` Should headers and footers be included in the output? Default is to include them.
`void` | `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcelExtractor

    public ExcelExtractor(HSSFWorkbook wb)

### ExcelExtractor

    public ExcelExtractor(POIFSFileSystem fs)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### ExcelExtractor

    public ExcelExtractor(DirectoryNode dir,
                          POIFSFileSystem fs)
                   throws java.io.IOException

  Deprecated. Use `ExcelExtractor(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### ExcelExtractor

    public ExcelExtractor(DirectoryNode dir)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)

  Command line extractor.

### setIncludeSheetNames

    public void setIncludeSheetNames(boolean includeSheetNames)

  Should sheet names be included? Default is true

  Specified by:
    `setIncludeSheetNames` in interface `ExcelExtractor`

### setFormulasNotResults

    public void setFormulasNotResults(boolean formulasNotResults)

  Should we return the formula itself, and not the result it produces? Default is false

  Specified by:
    `setFormulasNotResults` in interface `ExcelExtractor`

### setIncludeCellComments

    public void setIncludeCellComments(boolean includeCellComments)

  Should cell comments be included? Default is false

  Specified by:
    `setIncludeCellComments` in interface `ExcelExtractor`

### setIncludeBlankCells

    public void setIncludeBlankCells(boolean includeBlankCells)

  Should blank cells be output? Default is to only output cells that are present in the file and are non-blank.

### setIncludeHeadersFooters

    public void setIncludeHeadersFooters(boolean includeHeadersFooters)

  Should headers and footers be included in the output? Default is to include them.

### getText

    public java.lang.String getText()

  Retrieves the text contents of the file

  Specified by:
    `getText` in interface `ExcelExtractor`
  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### _extractHeaderFooter

    public static java.lang.String _extractHeaderFooter(HeaderFooter hf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD